# ---------------------------------------------------------------------------
!if !$d(BCB)
BCB = $(MAKEDIR)\..
!endif

# ---------------------------------------------------------------------------
# IDE SECTION
# ---------------------------------------------------------------------------
# The following section of the project makefile is managed by the BCB IDE.
# It is recommended to use the IDE to change any of the values in this
# section.
# ---------------------------------------------------------------------------

VERSION = BCB.12.00
# ---------------------------------------------------------------------------
PROJECT = $(OUTDIR)clinetsuite_xe4.bpl
OBJFILES = $(OUTDIR)clAsyncClient.obj $(OUTDIR)clBigInt.obj $(OUTDIR)clBounceChecker.obj \
      $(OUTDIR)clCertificate.obj $(OUTDIR)clCertificateKey.obj $(OUTDIR)clCertificateStore.obj \
      $(OUTDIR)clChecksum.obj $(OUTDIR)clConfig.obj $(OUTDIR)clCookieManager.obj \
      $(OUTDIR)clCryptAPI.obj $(OUTDIR)clCryptCipher.obj $(OUTDIR)clCryptDataHeader.obj \
      $(OUTDIR)clCryptEncoder.obj $(OUTDIR)clCryptExt.obj $(OUTDIR)clCryptHash.obj \
      $(OUTDIR)clCryptKex.obj $(OUTDIR)clCryptMac.obj $(OUTDIR)clCryptPemEncryptor.obj \
      $(OUTDIR)clCryptRandom.obj $(OUTDIR)clCryptSignature.obj $(OUTDIR)clCryptUtils.obj \
      $(OUTDIR)clDC.obj $(OUTDIR)clDCUtils.obj $(OUTDIR)clDeflate.obj \
      $(OUTDIR)clDkim.obj $(OUTDIR)clDkimCanonicalizer.obj $(OUTDIR)clDkimConfig.obj \
      $(OUTDIR)clDkimKey.obj $(OUTDIR)clDkimSignature.obj $(OUTDIR)clDkimUtils.obj \
      $(OUTDIR)clDnsFileHandler.obj $(OUTDIR)clDnsMessage.obj $(OUTDIR)clDnsQuery.obj \
      $(OUTDIR)clDnsServer.obj $(OUTDIR)clDownLoader.obj $(OUTDIR)clEmailAddress.obj \
      $(OUTDIR)clEmailValidator.obj $(OUTDIR)clEncoder.obj $(OUTDIR)clEncryptor.obj \
      $(OUTDIR)clEpp.obj $(OUTDIR)clEppServer.obj $(OUTDIR)clEppUtils.obj \
      $(OUTDIR)clFirewallUtils.obj $(OUTDIR)clFtp.obj $(OUTDIR)clFtpFileHandler.obj \
      $(OUTDIR)clFtpServer.obj $(OUTDIR)clFtpUtils.obj $(OUTDIR)clGZip.obj \
      $(OUTDIR)clHeaderFieldList.obj $(OUTDIR)clHtmlParser.obj $(OUTDIR)clHttp.obj \
      $(OUTDIR)clHttpAuth.obj $(OUTDIR)clHttpHeader.obj $(OUTDIR)clHttpRequest.obj $(OUTDIR)clHttpRio.obj \
      $(OUTDIR)clHttpUtils.obj $(OUTDIR)clHuffman.obj $(OUTDIR)clIdnTranslator.obj \
      $(OUTDIR)clImap4.obj $(OUTDIR)clImap4FileHandler.obj $(OUTDIR)clImap4Server.obj \
      $(OUTDIR)clImapFetch.obj $(OUTDIR)clImapUtils.obj $(OUTDIR)clInflate.obj \
      $(OUTDIR)clInternetConnection.obj $(OUTDIR)clIpAddress.obj $(OUTDIR)clJson.obj \
      $(OUTDIR)clLogger.obj $(OUTDIR)clMailHeader.obj $(OUTDIR)clMailMessage.obj \
      $(OUTDIR)clMailUserMgr.obj $(OUTDIR)clMailUtils.obj $(OUTDIR)clMC.obj \
      $(OUTDIR)clMultiDC.obj $(OUTDIR)clMultiDownLoader.obj $(OUTDIR)clMultiUploader.obj \
      $(OUTDIR)clNewsChecker.obj $(OUTDIR)clNntp.obj $(OUTDIR)clNntpFileHandler.obj \
      $(OUTDIR)clNntpServer.obj $(OUTDIR)clNntpUtils.obj $(OUTDIR)clOAuth.obj \
      $(OUTDIR)clPCRE.obj $(OUTDIR)clPCREDef.obj $(OUTDIR)clPop3.obj \
      $(OUTDIR)clPop3FileHandler.obj $(OUTDIR)clPop3Server.obj $(OUTDIR)clProgressBar.obj \
      $(OUTDIR)clProgressBarDC.obj $(OUTDIR)clRegex.obj $(OUTDIR)clResourceState.obj \
      $(OUTDIR)clRss.obj $(OUTDIR)clServerGuard.obj $(OUTDIR)clSimpleHttpServer.obj \
      $(OUTDIR)clSingleDC.obj $(OUTDIR)clSMimeMessage.obj $(OUTDIR)clSmtp.obj \
      $(OUTDIR)clSmtpFileHandler.obj $(OUTDIR)clSmtpRelay.obj $(OUTDIR)clSmtpServer.obj $(OUTDIR)clSoapHttpWebNode.obj \
      $(OUTDIR)clSoapMessage.obj $(OUTDIR)clSoapSecurity.obj $(OUTDIR)clSoapUtils.obj \
      $(OUTDIR)clSocket.obj $(OUTDIR)clSocketUtils.obj $(OUTDIR)clSocks.obj \
      $(OUTDIR)clSspi.obj $(OUTDIR)clSspiAuth.obj $(OUTDIR)clSspiTls.obj $(OUTDIR)clStreamLoader.obj \
      $(OUTDIR)clStreams.obj $(OUTDIR)clSyncUtils.obj $(OUTDIR)clTcpClient.obj \
      $(OUTDIR)clTcpClientTls.obj $(OUTDIR)clTcpCommandClient.obj $(OUTDIR)clTcpCommandServer.obj \
      $(OUTDIR)clTcpServer.obj $(OUTDIR)clTcpServerTls.obj $(OUTDIR)clThreadPool.obj \
      $(OUTDIR)clTlsSocket.obj $(OUTDIR)clTranslator.obj $(OUTDIR)clUdpClient.obj \
      $(OUTDIR)clUdpServer.obj $(OUTDIR)clUpdateInfoForm.obj $(OUTDIR)clUploader.obj \
      $(OUTDIR)clUriUtils.obj $(OUTDIR)clUserMgr.obj $(OUTDIR)clUtils.obj \
      $(OUTDIR)clWebDav.obj $(OUTDIR)clWebUpdate.obj $(OUTDIR)clWinInet.obj \
      $(OUTDIR)clWinSock2.obj $(OUTDIR)clWUtils.obj $(OUTDIR)clXmlCanonicalizer20010315Excl.obj \
      $(OUTDIR)clXmlCanonicalizerBase.obj $(OUTDIR)clXmlCanonicalizerUtils.obj $(OUTDIR)clXmlUtils.obj \
      $(OUTDIR)clZLibBase.obj $(OUTDIR)clZLibBuffer.obj $(OUTDIR)clZLibStreams.obj \
      $(OUTDIR)clSFtp.obj $(OUTDIR)clSFtpUtils.obj $(OUTDIR)clSshAuth.obj \
      $(OUTDIR)clSshCompression.obj $(OUTDIR)clSshConfig.obj $(OUTDIR)clSshDHG1.obj \
      $(OUTDIR)clSshDHGEX.obj $(OUTDIR)clSshKeyExchanger.obj $(OUTDIR)clSshPacket.obj \
      $(OUTDIR)clSshSocket.obj $(OUTDIR)clSshUserIdentity.obj $(OUTDIR)clSshUserKey.obj \
      $(OUTDIR)clSshUtils.obj $(OUTDIR)clinetsuite_xe4.obj
RESFILES = clinetsuite_xe4.res ..\..\resources\clinetsuite_ver.res
MAINSOURCE = clinetsuite_xe4.cpp
RESDEPEN = $(RESFILES)
LIBFILES = 
IDLFILES = 
IDLGENFILES = 
LIBRARIES = 
PACKAGES = rtl.bpi vcl.bpi dbrtl.bpi soaprtl.bpi xmlrtl.bpi
SPARELIBS = rtl.lib vcl.lib
DEFFILE = 
OTHERFILES = 
# ---------------------------------------------------------------------------
DEBUGLIBPATH = $(BCB)\lib\debug
RELEASELIBPATH = $(BCB)\lib\release
USERDEFINES = 
SYSDEFINES = $(DEFINE_DEMO);_RTLDLL;NO_STRICT;USEPACKAGES
INCLUDEPATH = $(BCB)\include;$(BCB)\include\vcl;$(BCB)\Source\ToolsAPI;$(LIBPATH)
LIBPATH = ..\..\common;$(BCB)\lib;$(BCB)\lib\obj;$(BCB)\Source\ToolsAPI;$(LIBPATH)
WARNINGS= -w-par
PATHCPP = .;
PATHASM = .;
PATHPAS = .;..\..\common;..\..\ssh;
PATHRC = .;
PATHOBJ = .;$(LIBPATH)
# ---------------------------------------------------------------------------
CFLAG1 = -O2 -Vx -Ve -X- -a8 -b- -k- -vi -c -tWM
IDLCFLAGS = -I$(BCB)\include;$(BCB)\include\vcl;$(INCPATH)
PFLAGS = -N2$(OUTDIR) -N0$(OUTDIR) -NH$(OUTDIR) -$Y- -$L- -$D- -$C- -$A8 -v -JPHNE -M -LUrtl -NSSystem;System.Win;Winapi;Vcl
RFLAGS = 
AFLAGS = /mx /w2 /zn
LFLAGS = -l$(OUTDIR) -I$(OUTDIR) -D"Clever Internet Suite Runtime" -aa -Tpp -x -Gn -Gl -Gi
# ---------------------------------------------------------------------------
ALLOBJ = c0pkg32.obj $(PACKAGES) Memmgr.Lib sysinit.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) $(LIBRARIES) import32.lib cp32mti.lib
# ---------------------------------------------------------------------------
!ifdef IDEOPTIONS

[Version Info]
IncludeVerInfo=0
AutoIncBuild=0
MajorVer=1
MinorVer=0
Release=0
Build=0
Debug=0
PreRelease=0
Special=0
Private=0
DLL=0

[Version Info Keys]
CompanyName=
FileDescription=
FileVersion=1.0.0.0
InternalName=
LegalCopyright=
LegalTrademarks=
OriginalFilename=
ProductName=
ProductVersion=1.0.0.0
Comments=

[Debugging]
DebugSourceDirs=$(BCB)\source\vcl

!endif





# ---------------------------------------------------------------------------
# MAKE SECTION
# ---------------------------------------------------------------------------
# This section of the project file is not used by the BCB IDE.  It is for
# the benefit of building from the command-line using the MAKE utility.
# ---------------------------------------------------------------------------

.autodepend
# ---------------------------------------------------------------------------
!if "$(USERDEFINES)" != ""
AUSERDEFINES = -d$(USERDEFINES:;= -d)
!else
AUSERDEFINES =
!endif

!if !$d(BCC32)
BCC32 = bcc32
!endif

!if !$d(CPP32)
CPP32 = cpp32
!endif

!if !$d(DCC32)
DCC32 = dcc32
!endif

!if !$d(TASM32)
TASM32 = tasm32
!endif

!if !$d(LINKER)
LINKER = ilink32
!endif

!if !$d(BRCC32)
BRCC32 = brcc32
!endif


# ---------------------------------------------------------------------------
!if $d(PATHCPP)
.PATH.CPP = $(PATHCPP)
.PATH.C   = $(PATHCPP)
!endif

!if $d(PATHPAS)
.PATH.PAS = $(PATHPAS)
!endif

!if $d(PATHASM)
.PATH.ASM = $(PATHASM)
!endif

!if $d(PATHRC)
.PATH.RC  = $(PATHRC)
!endif

!if $d(PATHOBJ)
.PATH.OBJ  = $(PATHOBJ)
!endif
# ---------------------------------------------------------------------------
$(PROJECT): $(OTHERFILES) $(IDLGENFILES) $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) -L$(LIBPATH) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!
# ---------------------------------------------------------------------------
.pas.hpp:
    $(BCB)\BIN\$(DCC32) $(PFLAGS) -U$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -O$(INCLUDEPATH) $(IDLCFLAGS) --BCB {$< }

.pas.obj:
    $(BCB)\BIN\$(DCC32) $(PFLAGS) -U$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -O$(INCLUDEPATH) $(IDLCFLAGS) --BCB {$< }

.cpp.obj:
    $(BCB)\BIN\$(BCC32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n$(@D) {$< }

.c.obj:
    $(BCB)\BIN\$(BCC32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n$(@D) {$< }

.c.i:
    $(BCB)\BIN\$(CPP32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n. {$< }

.cpp.i:
    $(BCB)\BIN\$(CPP32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n. {$< }

.asm.obj:
    $(BCB)\BIN\$(TASM32) $(AFLAGS) -i$(INCLUDEPATH:;= -i) $(AUSERDEFINES) -d$(SYSDEFINES:;= -d) $<, $@

.rc.res:
    $(BCB)\BIN\$(BRCC32) $(RFLAGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -fo$@ $<



# ---------------------------------------------------------------------------




